function main(self)
	local claw = GetClaw()

	if self.State == 0 then
		self:SetAnimation("CUSTOM_CYCLE72")
		self:SetImage("CUSTOM_FIRESHIELD")
		self.HitRect, self.AttackRect = {-15,-15,15,15}, {-15,-15,15,15}
		self.Flags.AlwaysActive = true
		self.HitFlags.Enemy = true
		self.BumpFlags.MagicBullet = true
		self.Damage = 35
		self.countAttacks, self.countTime, self.step = 0, 0, 0
		self.State = 1
		return
	end

	self:AnimationStep()

	if self.State == 1 then
		self.relX = claw.X
		self.relY = claw.Y
		self.step = self.step + (1 / 60)
		self.MoveClawX = self.Width*math.sin(math.rad((self.Speed * self.step) + self.Points))
		self.MoveClawY = self.Width*math.cos(math.rad((self.Speed * self.step) + self.Points))
		self.X = self.relX + self.MoveClawX
		self.Y = self.relY + self.MoveClawY
		if self.countAttacks > 10 or claw.Health <= 0 then
			self:Destroy()
		end
	end

end

function attack(self)
	if GetTime() > self.countTime then
		self.countAttacks = self.countAttacks + 1
		self.countTime = GetTime() + 500
	end
end
